<?php

namespace App\Twig;

use App\Repository\ArticleRepository;
use Twig\Extension\RuntimeExtensionInterface;

class LastRuntimeExtension implements RuntimeExtensionInterface
{
    public function __construct(
        protected readonly ArticleRepository $articleRepository
    )
    {
        
    }

    public function getLastArticles(int $limit = 5): array
    {
        return $this->articleRepository->findBy(criteria: ['state' => 'published'], orderBy: ['publicationDate' => 'DESC'], limit: $limit);
    }
}